List Firewall Traffic Rules
GET
/network/firewall/traffic
const url = 'https://sylve.lan:8181/api/network/firewall/traffic';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/firewall/traffic \ --header 'Authorization: <Authorization>'List all user-visible firewall traffic rules in evaluation order
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
action
Pass|block
string
blockResponse
string
createdAt
string
description
string
destObj
object
autoUpdate
boolean
createdAt
string
description
string
entries
Array<object>
object
createdAt
string
id
integer
objectId
integer
updatedAt
string
value
IP, CIDR, port, country code, FQDN, etc.
string
id
integer
isUsed
boolean
isUsedBy
string
lastRefreshAt
string
lastRefreshError
string
name
string
refreshIntervalSeconds
integer
resolutionChecksum
string
resolutions
Array<object>
object
createdAt
string
id
integer
objectId
integer
resolvedIp
Deprecated mirror for resolved IP entries
string
resolvedValue
string
updatedAt
string
sourceChecksum
string
type
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
string
updatedAt
string
usedBy
Array<object>
object
id
integer
name
string
type
string
destObjId
integer
destRaw
string
direction
string
dstPortObj
object
autoUpdate
boolean
createdAt
string
description
string
entries
Array<object>
object
createdAt
string
id
integer
objectId
integer
updatedAt
string
value
IP, CIDR, port, country code, FQDN, etc.
string
id
integer
isUsed
boolean
isUsedBy
string
lastRefreshAt
string
lastRefreshError
string
name
string
refreshIntervalSeconds
integer
resolutionChecksum
string
resolutions
Array<object>
object
createdAt
string
id
integer
objectId
integer
resolvedIp
Deprecated mirror for resolved IP entries
string
resolvedValue
string
updatedAt
string
sourceChecksum
string
type
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
string
updatedAt
string
usedBy
Array<object>
object
id
integer
name
string
type
string
dstPortObjId
integer
dstPortsRaw
string
egressInterfaces
Array<string>
enabled
boolean
family
Any|inet|inet6
string
icmpTypes
Array<string>
id
integer
ingressInterfaces
Array<string>
kind
string
log
boolean
name
string
priority
integer
protocol
string
quick
boolean
rawPF
string
sourceObj
object
autoUpdate
boolean
createdAt
string
description
string
entries
Array<object>
object
createdAt
string
id
integer
objectId
integer
updatedAt
string
value
IP, CIDR, port, country code, FQDN, etc.
string
id
integer
isUsed
boolean
isUsedBy
string
lastRefreshAt
string
lastRefreshError
string
name
string
refreshIntervalSeconds
integer
resolutionChecksum
string
resolutions
Array<object>
object
createdAt
string
id
integer
objectId
integer
resolvedIp
Deprecated mirror for resolved IP entries
string
resolvedValue
string
updatedAt
string
sourceChecksum
string
type
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
string
updatedAt
string
usedBy
Array<object>
object
id
integer
name
string
type
string
sourceObjId
integer
sourceRaw
string
srcPortObj
object
autoUpdate
boolean
createdAt
string
description
string
entries
Array<object>
object
createdAt
string
id
integer
objectId
integer
updatedAt
string
value
IP, CIDR, port, country code, FQDN, etc.
string
id
integer
isUsed
boolean
isUsedBy
string
lastRefreshAt
string
lastRefreshError
string
name
string
refreshIntervalSeconds
integer
resolutionChecksum
string
resolutions
Array<object>
object
createdAt
string
id
integer
objectId
integer
resolvedIp
Deprecated mirror for resolved IP entries
string
resolvedValue
string
updatedAt
string
sourceChecksum
string
type
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
string
updatedAt
string
usedBy
Array<object>
object
id
integer
name
string
type
string
srcPortObjId
integer
srcPortsRaw
string
statePolicy
string
updatedAt
string
visible
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "action": "example", "blockResponse": "example", "createdAt": "example", "description": "example", "destObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "destObjId": 1, "destRaw": "example", "direction": "example", "dstPortObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "dstPortObjId": 1, "dstPortsRaw": "example", "egressInterfaces": [ "example" ], "enabled": true, "family": "example", "icmpTypes": [ "example" ], "id": 1, "ingressInterfaces": [ "example" ], "kind": "example", "log": true, "name": "example", "priority": 1, "protocol": "example", "quick": true, "rawPF": "example", "sourceObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "sourceObjId": 1, "sourceRaw": "example", "srcPortObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "srcPortObjId": 1, "srcPortsRaw": "example", "statePolicy": "example", "updatedAt": "example", "visible": true } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}